Subject: bug#8739: 24.0.50; "C-d" key apparently rebound

From: Glenn Morris <[email-masked]>
Date: Fri, 27 May 2011 14:54:50 -0400

Dani Moncayo wrote:

> The tutorial shows a notice at the beginning, warning us about the
> customization of "some basic editing commands". If you search for
> "rebound", you will see that apparently "someone" has rebound the C-d
> key.

NEWS says:

  *** New command `delete-forward-char', bound to C-d and [delete].

and this is what the tutorial assumes. But for me also in emacs -Q:

  <deletechar> (translated from <delete>) runs the command delete-forward-char
  C-d runs the command delete-char

The relevant ChangeLog entry says:

    * bindings.el (global-map): Bind C-d to delete-char and deletechar
    to delete-forward-char.

So there is some confusion about what should be bound to C-d.